# GstAnalyticsTensorMtd

This type of metadata holds a tensor. It can be used to store tensor as analytics-meta for their ability to relate to each others. For example in a multi-model analytics pipeline, we sometime have one model input match the output of the other model. In this context it can be useful to keep the ancestry relation between first tensor, output of first inference, and the second tensor, output from second inference. Another use-case for GstAnalyticsTensorMtd is to transport tensors from inference element to a post-processing element using a computing graph framework, like ONNX. Essentially GstAnalyticsTensorMtd is a GstBuffer encapsulated by a analytics-meta with additional parameters describing the tensor.

Since 1.28

## GstAnalyticsTensorMtd

Handle containing data required to use gst_analytics_tensor_mtd APIs. This type is generally expected to be allocated on stack.

### Members

`id` (guint) –

Instance identifier

`meta` (GstAnalyticsRelationMeta *) –

Instance of GstAnalyticsRelationMeta where the analytics-metadata identified by id is stored

Since : 1.28

## GstAnalytics.TensorMtd

Handle containing data required to use gst_analytics_tensor_mtd APIs. This type is generally expected to be allocated on stack.

### Members

`id` (Number) –

Instance identifier

`meta` (GstAnalytics.RelationMeta) –

Instance of GstAnalytics.RelationMeta where the analytics-metadata identified by id is stored

Since : 1.28

## GstAnalytics.TensorMtd

Handle containing data required to use gst_analytics_tensor_mtd APIs. This type is generally expected to be allocated on stack.

### Members

`id` (int) –

Instance identifier

`meta` (GstAnalytics.RelationMeta) –

Instance of GstAnalytics.RelationMeta where the analytics-metadata identified by id is stored

Since : 1.28

### Methods

#### gst_analytics_tensor_mtd_get_tensor

    GstTensor *
    gst_analytics_tensor_mtd_get_tensor (const GstAnalyticsTensorMtd * instance)

Get tensor

Parameters:

`instance` –

Instance of GstAnalyticsTensorMtd

Returns ( [transfer: none]) –

a GstTensor

Since : 1.28

#### GstAnalytics.TensorMtd.prototype.get_tensor

    function GstAnalytics.TensorMtd.prototype.get_tensor(): {
        // javascript wrapper for 'gst_analytics_tensor_mtd_get_tensor'
    }

Get tensor

Parameters:

`instance` (GstAnalytics.TensorMtd) –

Instance of GstAnalytics.TensorMtd

Returns (GstAnalytics.Tensor) –

a GstAnalytics.Tensor

Since : 1.28

#### GstAnalytics.TensorMtd.get_tensor

    def GstAnalytics.TensorMtd.get_tensor (self):
        #python wrapper for 'gst_analytics_tensor_mtd_get_tensor'

Get tensor

Parameters:

`instance` (GstAnalytics.TensorMtd) –

Instance of GstAnalytics.TensorMtd

Returns (GstAnalytics.Tensor) –

a GstAnalytics.Tensor

Since : 1.28

### Functions

#### gst_analytics_tensor_mtd_get_mtd_type

    GstAnalyticsMtdType
    gst_analytics_tensor_mtd_get_mtd_type ()

Get an id that represent tensor metadata type

Returns –

Opaque id of the GstAnalyticsMtd type

Since : 1.28

#### GstAnalytics.TensorMtd.prototype.get_mtd_type

    function GstAnalytics.TensorMtd.prototype.get_mtd_type(): {
        // javascript wrapper for 'gst_analytics_tensor_mtd_get_mtd_type'
    }

Get an id that represent tensor metadata type

Returns (Number) –

Opaque id of the GstAnalytics.Mtd type

Since : 1.28

#### GstAnalytics.TensorMtd.get_mtd_type

    def GstAnalytics.TensorMtd.get_mtd_type ():
        #python wrapper for 'gst_analytics_tensor_mtd_get_mtd_type'

Get an id that represent tensor metadata type

Returns (int) –

Opaque id of the GstAnalytics.Mtd type

Since : 1.28

The results of the search are